Bug 1597802 - Mislabeled entries for Dropdown element in Dialog Editor
Summary: Mislabeled entries for Dropdown element in Dialog Editor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Roman Blanco
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
: 1600768 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-03 16:06 UTC by Roman Blanco
Modified: 2019-02-07 23:03 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:25 UTC

Description Roman Blanco 2018-07-03 16:06:37 UTC
Description of problem:

input fields for description and value of dropdown entries are mislabeled 


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. edit or create a new service dialog (automate -> automation -> customization)
2. add dropdown element to the dialog
3. set different values for description and value

Actual results:
value and description are switched

Expected results:
value and description are correct

Additional info:
fixed in https://github.com/ManageIQ/ui-components/pull/315

Comment 2 Dave Johnson 2018-07-03 16:43:13 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Roman Blanco 2018-07-17 14:51:30 UTC
*** Bug 1600768 has been marked as a duplicate of this bug. ***

Comment 4 Satoe Imaishi 2018-07-31 15:10:59 UTC
https://github.com/ManageIQ/ui-components/pull/313

Comment 5 Niyaz Akhtar Ansari 2018-08-27 09:10:08 UTC
Verified in Version 5.10.0.12.20180822200426_5f6e52b

Comment 6 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.